Subject: Re: OAI-ORE Resource Map Implementation in Atom

From: James M Snell <[email-masked]>
Date: Tue, 01 Jan 2008 10:18:11 -0800

Although I haven't had the time to really sit down an analyze this in
depth, at first glance it definitely looks interesting and fairly sane.

- James

Peter Keane wrote:
> 
> Hi Folks-
> 
> Open Archives Initiative Object Reuse and Exchange figures to be a VERY
> important standard in the digital library/archives world.  From the
> documentation:
> 
> "OAI-ORE defines standards for the description and exchange of
> aggregations of Web resources.  the OAI-ORE introduces the notion of a
> Resource Map, which is a specialization of a named graph that asserts a
> finite set of resources (the Aggregated Resources), their types,
> intra-relationships, and relationships with resources external to this
> finite set (the external resources). A Resource Map Document is a
> machine-readable representation of a Resource Map. Although multiple
> serializations of Resource Maps are possible, the initial serialization
> is done using the Atom Syndication Format [RFC4287]."
> 
> I'll be very curious to know what the Atom-erati think about the
> Resource Map Implentation in Atom:
> (http://www.openarchives.org/ore/0.1/atom-implementation).
> 
> It looks to me to be a well-considered and thorough implementation of
> the Atom Syndication Format in an area well-outside the blogging domain.
> Perhaps this is a (welcome and anticipated) sign of the power and
> utility of Atom/AtomPub?
> 
> -Peter Keane
> daseproject.org
> 
>